from math import pi
from pyevspace import Vector

# Mass constants

NEWTON_G = 6.67408e-11
EARTH_MU = 3.986004418e14 * 1e-9  # converted to km^3s^-2
SUN_MU = 1.32712440018e20 * 1e-9  # converted to km^3s^-2

#   Earth constants
EARTH_EQUITORIAL_RADIUS = 6378.135
EARTH_FLATTENING = 1.0 / 298.26
EARTH_POLAR_RADIUS = EARTH_EQUITORIAL_RADIUS * (1 - EARTH_FLATTENING)
CJ2 = -2.064734896e14
EARTH_SIDEREAL_PERIOD = 86164.090531
EARTH_ANGULAR_MOMENTUM = Vector(0, 0, 7.29211586e-5)
EARTH_ANGULAR_VELOCITY = 1.0027379093

#   Sun constants
SUN_RADIUS = 6.957e5    # km

#   Distance constants
AU = 1.495978707e8  # km

#   Math constants
TWOPI = 2.0 * pi

#   Time constants
SIDEREAL_PER_SOLAR = EARTH_SIDEREAL_PERIOD / 86400
# as of 10/2022
DELTAT = 72.6
RAD_TO_HOURS = 12 / pi
DEG_TO_HOURS = 15
HOURS_TO_RAD = TWOPI / 24
HOURS_TO_DEG = 15

SECONDS_PER_DAY = 86400
SECONDS_PER_HOUR = 3600
SECONDS_PER_MINUTE = 60
MINUTES_PER_DAY = 1440
MINUTES_PER_HOUR = 60
HOURS_PER_DAY = 24
